Reset access token

Reset an access token's secret key with an optional expiry time for the old key.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequiredformat: "string"
The ID of the access token to update

Query parameters

expirylongOptional
An expiration time for the old token key, expressed as a Unix epoch time in milliseconds. By default, the token will expire immediately.

Response

Access token response
_idstring
The ID of the access token
ownerIdstring
The ID of the owner of the account for the access token
memberIdstring
The ID of the member who created the access token
creationDatelong
Timestamp of when the access token was created
lastModifiedlong
Timestamp of the last modification of the access token
_memberobjectOptional
Details on the member who created the access token
namestringOptional

A human-friendly name for the access token

descriptionstringOptional
A description for the access token
customRoleIdslist of stringsOptional
A list of custom role IDs to use as access limits for the access token
inlineRolelist of objectsOptional

An array of policy statements, with three attributes: effect, resources, actions. May be used in place of a role.

rolestringOptional
Base role for the token
tokenstringOptional
The token value. When creating or resetting, contains the entire token value. Otherwise, contains the last four characters.
serviceTokenbooleanOptional
Whether this is a service token or a personal token
defaultApiVersionintegerOptional
The default API version for this token
lastUsedlongOptional
Timestamp of when the access token was last used

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error